5 Replies Latest reply on Mar 18, 2015 2:52 PM by Paul Gilman

    Tree Display Default Settings

    Tiffany Carter

      Is there a way to change the default tree display settings? I've searched but have been unable to locate anything but I know some settings are not in the most obvious places. (SolidWorks 2014)

        • Re: Tree Display Default Settings
          Glenn Schroeder

          Welcome to the forum.  Is below what you're looking for?  If not, please explain further.

           

          Tree display options.png

          • Re: Tree Display Default Settings
            Atanas Kanov

            I use a macro to "condition" my work environment every time I open someone else's model.

            It could do what you are asking for and few other things- hides the gridlines when editing a sketch, hides some feature types and resizes the main planes to fit the current model

             

            If you would like to give it a try just paste the following code in a new macro.

            Then edit the options to suit your preferences.

             

             

             

            Dim swApp As Object

            Dim Part As SldWorks.ModelDoc2
            Dim swFeatMgr As SldWorks.FeatureManager
            Dim boolstatus As Boolean
            Dim longstatus As Long, longwarnings As Long

            Sub main()

            Set swApp = Application.SldWorks
            Set Part = swApp.ActiveDoc
            Set swFeatMgr = Part.FeatureManager

            boolstatus = Part.Extension.SetUserPreferenceToggle(swUserPreferenceToggle_e.swGridDisplay, 0, False)
            boolstatus = Part.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayOrigins, False)
            boolstatus = Part.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayPlanes, False)
            boolstatus = Part.SetUserPreferenceToggle(swUserPreferenceToggle_e.swDisplayTemporaryAxes, False)

            'boolstatus = Part.Extension.InsertScene("p:\public i\user\#anthonyk\at no reflections.p2s")

            swFeatMgr.ShowComponentConfigurationDescriptions = False
            swFeatMgr.ShowComponentConfigurationNames = True
            swFeatMgr.ShowComponentDescriptions = True

            Dim Feat As SldWorks.Feature
            Set Feat = Part.FirstFeature

            While Feat.GetTypeName2 <> "OriginProfileFeature"
                  If Feat.GetTypeName = "RefPlane" Then
                        Feat.Select2 False, -1
                        swApp.RunCommand swCommands_e.swCommands_Auto_Size, ""
                  End If
                  Set Feat = Feat.GetNextFeature
            Wend

            Part.GraphicsRedraw2
            Part.ClearSelection2 (True)

            End Sub